/*
 * This file encapsulates the xthree library.
 * It checks if the needed three examples and the library are duplicated.
 */
import { checkDependancy, checkThreeRevision } from "three-js-checker";

// Duplication check

import { TransformObject3D } from "./exports.js";

const PACKAGE_NAME = "three-js-transform-handler";

checkThreeRevision(PACKAGE_NAME, 130);

checkDependancy(PACKAGE_NAME, "TransformObject3D", TransformObject3D);

// Reexport API

export * from "./exports";
